org.apache.mina.filter.ssl

## Class BogusTrustManagerFactory

- java.lang.Object
- - javax.net.ssl.TrustManagerFactory
  - - org.apache.mina.filter.ssl.BogusTrustManagerFactory

-     public class BogusTrustManagerFactory
      extends TrustManagerFactory

  Bogus `TrustManagerFactory` which creates `X509TrustManager` trusting everything.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BogusTrustManagerFactory()`

  - ### Method Summary

    - ### Methods inherited from class javax.net.ssl.TrustManagerFactory

      `getAlgorithm, getDefaultAlgorithm, getInstance, getInstance, getInstance, getProvider, getTrustManagers, init, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BogusTrustManagerFactory

          public BogusTrustManagerFactory()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.